addpath('annotation');
if ~exist('startid')
  startid=1;
end
myid = [startid:1449];

for startid=myid
  startid
  fn = dir(['mat/' int2str(startid) '_*.mat']);
  load(['processed_data/' fn.name], 'data');
  m1 = scenemodel_initialize(data);
  load(['mat/' fn.name], 'model');
  m1.objects = model.objects;
  m2=scenemodel_annotate(m1);
  m2.data = rmfield(m2.data, 'image');
  m2.data = rmfield(m2.data, 'coord');
  
  model = m2;
  save(['mat/' fn.name], 'model');
end