% browse all models in the g directory
t = dir('gz/*.gz');
t = {t.name};

for i=1:numel(t)
  fprintf('Loading...');
  I = imread(['jpeg/' t{i}(1:end-6) '.jpg']);
  m1=scenemodel_import(['gz/' t{i}(1:end-6) '.pb.gz']);
  fprintf('Done.\n');
  figure(1), imshow(I);
  figure(2), clf, scenemodel_render(m1, get_opt);
  pause;
end