function opt = get_opt()
  opt = {};
  opt.Npixels = 3000;
  opt.orig_H = 480;
  opt.orig_W = 640;
  opt.grid_spacing = 8;
  
  opt.mask = [41 601; 45 471];
  opt.H = 427;
  opt.W = 561;
  opt.too_close = 30;
  opt.default_ceiling = 3;
  opt.tolerance = 0;
  opt.render_pointcloud = false;
  opt.render_scale = 100;
  opt.default_scale = opt.W;
  
  opt.fig_frontal = 1;
  opt.fig_overhead = 2;
  opt.fig_horizontal = 3;
  opt.fig_preview = 4;
  
  opt.work_size = 900;
  opt.work_border = 50;
  
  opt.snap_thresh = 0.03;
  
  opt.furniture_class = { ...
    'bed', 'sofa', 'chair', 'table', 'desk', 'bookshelf', 'shelves'};

  opt.layout_class = { ...
  'ceiling', 'wall'};

  opt.grid_size = 0.03;
  opt.grid_pad = 2;
  
  opt.FLOOR = 1;
  opt.WALL = 2;
  opt.CEILING = 3;
  opt.VSTRUCT = 4;
  opt.FURNITURE = 5;
  opt.PROP = 6;
end