function [proj_y, proj_x] = helper_surfaceproj(plane_eq)
  if abs(plane_eq(3)) >= abs(plane_eq(2)) && abs(plane_eq(3)) >= abs(plane_eq(1))
    proj_y = [0 1 0];
    if plane_eq(4)==0
      plane_eq(4) = plane_eq(3);
    end
    proj_x = cross(proj_y, sign(plane_eq(4))*plane_eq(1:3) );
  elseif abs(plane_eq(1)) > abs(plane_eq(2)) && abs(plane_eq(1)) > abs(plane_eq(3))
    proj_y = [0 1 0];
    proj_x = cross(proj_y, sign(plane_eq(4))*plane_eq(1:3) );
  else
    proj_y = [0 0 -1];
    proj_x = [1 0 0];
  end
  proj_y = -proj_y;
end