function data = processRoom(data, fname)
  % do superpixel
  data_t = data;
  opt = get_opt();
  
  d = zeros(opt.orig_H, opt.orig_W);
  d(opt.mask(1):opt.mask(3),opt.mask(2):opt.mask(4)) = data.depths;
  
  p3d = rgb_plane2rgb_world(d);
  p3d = reshape(p3d, [opt.orig_H opt.orig_W 3]);
  data.X = single(crop_image( p3d(:,:,1) ));  
  data.Y = single(crop_image(-p3d(:,:,2) ));
  data.Z = single(crop_image(-p3d(:,:,3) ));
  
  data_t = data;
  data_t.depths = double(data_t.depths);
  data_t.images = im2double(data_t.images);
  
  [normalim, normalconf] = computeNormal(data);
  data.normal = normalim;
  
  keyboard;
  data.R = computeRoomDirections(data);
  data.normal = reshape(...
  reshape(data.normal, [size(data.normal, 1)*size(data.normal, 2), 3])*data.R, ...
  [size(data.normal,1), size(data.normal,2), 3]);
  
  p3d = reshape([data.X(:) data.Y(:) data.Z(:)]*data.R, [size(data.normal,1), size(data.normal,2), 3]);
  data.X = p3d(:,:,1);  data.Y = p3d(:,:,2);  data.Z = p3d(:,:,3);
end